function parentClassHtml(data,parentId){
    var html = '';
    $(data).each(function(index, el) {
        var selectClass = '';
        if(parentId){
            if(el.id==parentId){
                nowParentClass = el.id;
                selectClass = 'type-select';
                if(el.top_image){
                    $(".tip-img-wrap").html('<img style="0 0;" src="'+el.top_image+'"/>');
                }else{
                    $(".tip-img-wrap").html('');
                }
                if(el.top_tip){
                    $(".tip-text").html('<div style="line-height:1.5rem;font-size:0.6rem;padding:0.5rem;">'+el.top_tip+'</div>');
                }else{
                    $(".tip-text").html('');
                }
            }
        }else{
            if(index==0){
                nowParentClass = el.id;
                selectClass = 'type-select';
                if(el.top_image){
                    $(".tip-img-wrap").html('<img style="0 0;" src="'+el.top_image+'"/>');
                }else{
                    $(".tip-img-wrap").html('');
                }
                if(el.top_tip){
                    $(".tip-text").html('<div style="line-height:1.5rem;font-size:0.6rem;padding:0.5rem;">'+el.top_tip+'</div>');
                }else{
                    $(".tip-text").html('');
                }
            }
        }
        html +=
        '<div class="swiper-slide '+selectClass+'" data-index="'+index+'" onclick="selectParentClass(this,'+el.id+','+index+')">'+
            el.name+
            '<span></span>'+
        '</div>'
    });
    return html;
}

function childClassHtml(data){
    if(data){
        var html = '';
        $(data).each(function(index, el) {
            var image = '../image/empty-img.jpg';
            if(el.two_image){
                image = el.two_image;
            }
            html +=
            '<li onclick="selectChildClass('+el.id+')">'+
                '<img src="'+image+'" />'+
                '<p>'+el.name+'</p>'+
            '</li>'
        });
        return html;
    }else{
        return '';
    }
}

//轮播图HTML
function bannerHtml(data){
    var html = '';
    $(data).each(function(index, el) {
        html +=
        '<div class="swiper-slide"> <img src="'+el.image+'"/></div>'
    });
    return html;
}

//
function goodsChildClassHtml(data,id){
    if(!data){
        return '';
    }
    if(id){
        var html = '';
        $(data).each(function(index, el) {
            var show = '';
            if(el.id==id&&verify.isLogin().isLogin){
                show = 'show-goods';
            }
            html +=
            '<div class="swiper-slide" style="clear:both;">'+
                '<div class="small-type-title '+show+'" id="goodsWrapTitle'+el.id+'" onclick="showGoods('+el.id+')">'+el.name+'<i class="right-icon"></i></div>'+
                '<div class="small-type-goods-list '+show+'" id="goodsWrap'+el.id+'">'+
                    '<ul>'+
                    '</ul>'+
                '</div>'+
            '</div>';
        });
        return html
    }else{
        var html = '';
        $(data).each(function(index, el) {
            html +=
            '<div class="swiper-slide"  style="clear:both;">'+
                '<div class="small-type-title" id="goodsWrapTitle'+el.id+'" onclick="showGoods('+el.id+')">'+el.name+'<i class="right-icon"></i></div>'+
                '<div class="small-type-goods-list" id="goodsWrap'+el.id+'">'+
                    '<ul>'+
                    '</ul>'+
                '</div>'+
            '</div>';
        });
        return html
    }
}

function myAddressHtml(data){
    if(data){
        var html = '';
        $(data).each(function(index, el) {
            var isDefault = '';
            if(el.type==1){
                isDefault = '<span class="is-default" style="margin-right:0.5rem;">默认</span>';
            }
            html +=
            '<div style="margin-bottom:10px;">'+
                '<div class="">'+
                    '<div class="user-name-wrap">'+
                        isDefault+
                        el.contacts+
                        '<span class="mobile">'+el.phone+'</span>'+
                    '</div>'+
                    '<div class="user-address-wrap"><img class="address-logo" src="../../image/address/address.png"/>'
                    +el.province+el.city+el.area+el.street+el.house+'</div>'+
                '</div>'+
                '<div class="button-wrap">'+
                    '<a href="javascript:editAddress('+el.id+')"><img src="../../image/address/edit.png"/>编辑</a>'+
                    '<a href="javascript:deleteAddress('+el.id+')"><img src="../../image/address/delete.png"/>删除</a>'+
                '</div>'+
            '</div>'
        });
        return html;
    }else{
        return '';
    }
}

function selectAddressHtml(data){
    if(data){
        var html = '';
        $(data).each(function(index, el) {
            var isDefault = '';
            if(el.type==1){
                isDefault = '<span class="is-default" style="margin-right:0.5rem;">当前地址</span>';
            }
            html +=
            '<div style="margin-bottom:10px;" onclick="selectAddress('+el.id+')">'+
                '<div class="">'+
                    '<div class="user-name-wrap">'+
                        isDefault+
                        el.contacts+
                        '<span class="mobile">'+el.phone+'</span>'+
                    '</div>'+
                    '<div class="user-address-wrap"><img class="address-logo" src="../../image/address/address.png"/>'
                    +el.province+el.city+el.area+el.street+el.house+'</div>'+
                '</div>'+
            '</div>'
        });
        return html;
    }else{
        return '';
    }
}

//新闻Html
function newsHtml(data){
    var html = '';
    $(data).each(function(index, el) {
        var topHtml = '';
        var newsImg = '../image/empty-img.jpg'
        if(el.top==1){
            topHtml = '<i class="news-top">头条</i>'
        }
        if(el.image){
            newsImg = el.image;
        }
        html +=
        '<div class="new-info-wrap" onclick="newsDetail('+el.id+')">'+
            '<div class="img-wrap">'+
                '<img style="width:100%;" src="'+newsImg+'"/>'+
            '</div>'+
            '<div class="title-wrap">'+
                topHtml+el.title+
            '</div>'+
        '</div>';
    });
    return html
}

function goodsHtml(data){
    var html = "";
    $(data).each(function(index, el) {
        html +=
        '<li><img class="goods-img" src="'+el.image+'"/>'+el.name+'<span style="float:right;color:#1a95f2;font-size:0.6rem;">'+el.price+el.unit+'</span></li>';
    });
    return html;
}

function orderHtml(data){
    var html = '';
    var statusOption = ['待回收','回收中','待确认','已完成'];
    $(data).each(function(index, el) {
        var dates = new Date(el.create_time*1000);
        var createTime = dates.getFullYear()+"-"+(dates.getMonth()+1)+"-"+dates.getDate();
        var money = '';
        if(el.status>1){
            if(el.pay_type==1){
                money = '现金<span style="color:red;">'+el.money+'</span>';
            }else{
                money = '积分<span style="color:red;">'+el.money+'</span>';
            }
        }
        if(el.status>0){
            html +=
            '<div class="order-list-wrap" onclick="orderDetail('+el.id+')">'+
                '<div class="order-number">订单编号:'+el.order_id+'<span style="float:right;">'+createTime+'</span></div>'+
                '<div class="back-user-info">'+
                    '<div>回收点:'+el.site_name+'</div>'+
                    '<div>手机号:'+el.phone+'('+el.worker_name+')</div>'+
                    '<div class="order-status-wrap">'+statusOption[el.status]+'<img class="right-icon-s" src="../../image/logo/right-icon.png"/></div>'+
                '</div>'+
                '<div class="order-number">地址:'+el.detail+'<span style="float:right;">'+money+'</span></div>'+
            '</div>'
        }else{
            html +=
            '<div class="order-list-wrap" onclick="orderDetail('+el.id+')">'+
                '<div class="order-number">订单编号:'+el.order_id+'<span style="float:right;">'+createTime+'</span></div>'+
                '<div class="back-add-info">'+
                    '回收点:'+el.site_name+
                    '<div class="order-status-wrap">'+statusOption[el.status]+'<img class="right-icon-s" src="../../image/logo/right-icon.png"/></div>'+
                '</div>'+
                '<div class="order-number">地址:'+el.detail+'</div>'+
            '</div>'
        }
    });
    return html;
}

function noticeHtml(data,classData){
    var html = ''
    $(data).each(function(index, el) {
        var textHtml = '资讯';
        var newsImg = '../../image/empty-img.jpg';
        if(el.labelid==3){
            textHtml = '通知公告'
        }
        if(classData){
            $(classData).each(function(index2, el2) {
                if(el.labelid==el2.id){
                    textHtml = el2.name;
                }
            });
        }
        if(el.image){
            newsImg = el.image;
        }
        html +=
        '<div class="news-list-wrap" onclick="newsDetail('+el.id+')">'+
            '<div class="news-img-wrap">'+
                '<img src="'+newsImg+'"/>'+
            '</div>'+
            '<div class="newst-title-wrap">'+
                '<div class="title-text">'+el.title+'</div>'+
                '<div class="time-wrap">'+
                    '<span>'+textHtml+'</span>'+el.create_time+
                '</div>'+
            '</div>'+
        '</div>'
    });
    return html;
}

function newsClassHtml(data){
    var html = '';
    $(data).each(function(index, el) {
        var selectClass = '';
        if(classId){
            if(el.id==classId){
                nowParentClass = el.id;
                selectClass = 'type-select';
            }
        }else{
            if(index==0){
                classId = el.id;
                selectClass = 'type-select';
            }
        }
        html +=
        '<div class="swiper-slide '+selectClass+'" data-index="'+index+'" onclick="selectParentClass(this,'+el.id+','+index+')">'+
            el.name+
            '<span></span>'+
        '</div>'
    });
    return html;
}

//获取员工信息
function getUserHtml(data){
    var html = ''
    $(data).each(function(index, el) {
        html +=
        '<div class="swiper-slide">'+
            '<div class="user-info-wrap" onclick="callUser('+el.phone+')">'+
                '<div class="user-img">'+
                    '<img style="width:5.5rem;height:5.5rem;" src="'+el.logo+'"/>'+
                '</div>'+
                '<div class="user-name">'+
                    '<p>'+el.realname+'</p>'+
                    '<p>'+el.phone+'</p>'+
                '</div>'+
            '</div>'+
        '</div>';
    });
    return html;
}
